Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#4322 wxcocoa295-2.9.5-1

Added_to_Fink
closed-accepted
None
5
2013-07-20
2013-07-19
Jack Howarth
No

The attached packaging for wxcocoa295-2.9.5-1 switches wxcocoa to BuildDepends on libpng16, libtiff5 and libjpeg9 as well as Depends on libpng16-shlibs, libtiff5-shlibs and libjpeg9-shlibs. The packaging also has the build now use...

--with-macosx-version-min=$darwinvers --with-macosx-sdk=$sdkroot --enable-macosx_arch=%m

to build against the default arch and target in the 10.7 tree with the sdkroot set using...

    darwin_vers=`uname -r | cut -d. -f1`
    sdk_root=''
    if [ "$darwin_vers" -ge 13 ]; then
            darwinvers=`sw_vers -productVersion | cut -d. -f1-2`
            if [ -d /Library/Developer/CommandLineTools ]; then
                    sdkroot=`xcode-select --print-path`/SDKs/MacOSX$darwinvers.sdk
            else
                    sdkroot=`xcode-select --print-path`/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$darwinvers.sdk
            fi
    fi

Tested on 10.9 with 'fink -m'.

Discussion

  • Jack Howarth
    Jack Howarth
    2013-07-19

    Info file for wxcocoa295-2.9.5-1

     
    Attachments
  • It needed a Conflicts/Replaces: wxcocoa294.

    Added for all supported platforms.

     
    • status: open --> closed-accepted
    • Group: Undergoing_Validation --> Added_to_Fink